"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = require("react");

var _reactNative = require("react-native");

const dims = _reactNative.Dimensions.get("window");

const useDimensions = () => {
  const [dimensions, setDimensions] = (0, _react.useState)(dims);

  const onChange = ({
    window: {
      width,
      height,
      scale,
      fontScale
    }
  }) => setDimensions({
    width,
    height,
    scale,
    fontScale
  });

  (0, _react.useEffect)(() => {
    _reactNative.Dimensions.addEventListener("change", onChange);

    return () => _reactNative.Dimensions.removeEventListener("change", onChange);
  }, []);
  return dimensions;
};

var _default = useDimensions;
exports.default = _default;
//# sourceMappingURL=useDimensions.js.map